package com.hp.user.service.controller;

import com.hp.user.client.entity.*;
import com.hp.user.client.service.AuditService;
import com.hp.user.client.service.CustomerCompanyService;
import com.hp.user.service.utils.IdWorker;
import com.hp.user.service.utils.HttpResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

@Api(tags = "企业审核接口")
@RestController
@RequestMapping("/audit")
public class AuditController {
    @Autowired
    private AuditService auditService;
    @Autowired
    private CustomerCompanyService companyService;

    @ApiOperation(value = "是否通过企业审核",notes = "若操作成功会返回新的审核记录Id")
    @PostMapping("/passCompanyAudit")
    @Transactional
    public Result passCompanyAudit(@RequestBody AuditVO audit){
        Result result = new Result();
        Result temp1 = auditService.update(audit);
        if(temp1.getCode().equals("-1")){
            result.setCode("-1");
            result.setMessage(temp1.getMessage());
            return result;
        }
        DataResult<CustomerCompanyVO> temp2 = companyService.queryCompanyByCompanyId(audit.getUserId());
        if(temp2.getCode().equals("-1")){
            result.setCode("-1");
            result.setMessage(temp2.getMessage());
            return result;
        }
        CustomerCompanyVO companyVO = temp2.getData();
        companyVO.setStatus(audit.getStatus());
        temp1 = companyService.update(companyVO);
        if(temp1.getCode().equals("-1")){
            result.setCode("-1");
            result.setMessage(temp1.getMessage());
            return result;
        }
        result.setCode("0");
        return result;
    }
}
